# SPDX-FileCopyrightText: Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited.

audio2face:
  ucfVisibleGpus: [0]
  configs:
    a2f_config.yaml:
      streamNumber: "3"
      a2eEnabled: "True"
      a2eInferenceInterval: "5"
      faceParams: "{}"
      a2fModelName: "claire_v1.3"
      a2fDeviceId: "0"
      a2eEmotionContrast: "1.0"
      a2eLiveBlendCoef: "0.6"
      a2eEnablePreferredEmotion: "True"
      a2ePreferredEmotionStrength: "0.5"
      a2eEmotionStrength: "0.6"
      a2eMaxEmotions: "3"
      addSilencePaddingAfterAudio: "False"
      queueAfterStreammux: "1"
      queueAfterA2F: "3000"
      queueAfterA2E: "30"
      maxLenUUID: "100"
      maxSampleRate: "140000"
      minSampleRate: "16000"
      lowFps: "29"
      lowFpsMaxDurationSecond: "7"
      useFP16A2F: "True"
      useFP16A2E: "True"
animation-graph:
  ucfVisibleGpus: [0]
  replicas: 1
  resourceDownload:
    remoteResourcePath: "nvidia/ace/default-avatar-scene:1.0.0"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.1.4
unreal-renderer:
  ucfVisibleGpus: [0]
  replicas: 1
  resourceDownload:
    remoteResourcePath:
      unrealEngineProject: ""
      # e.g.: unrealEngineProject: "your-ngc-org/your-ngc-team/ia-unreal-renderer-asset-metahuman-example:0.1.0"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.1.4
  # window:
  #   width: 1280
  #   height: 720
  #   width: 1920
  #   height: 1080
  #   width: 3840
  #   height: 2160
  # deployment:
  #   additionalStartupArgs: -logcmds="LogACECore Verbose,LogACERuntime VeryVerbose"
  signallingServer:
    peerConnectionOptions: |
      {
        "iceServers":[
          {
            "urls": ["turn:<CHANGE_WITH_YOUR_IP_ADDRESS>:3478"],
            "username": "user",
            "credential": "password"
          }
        ], 
        "iceTransportPolicy": "relay"
      }
